$section: #ffe1e1;
$gray: #f8f8f8;
$text-gray: #383838;
$icons: url('../../../../../../ads-portal/public/src/images/spritesheet/icons.png');
$icon_margin_size_right: -130px;
$icon_margin_size_down: -90px;

footer {
  width: 100%;
  margin-bottom: 50px;
}

footer .wrapper {
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;

  section {
    width: 30%;
    text-align: justify;

    h4 {
      font-size: 20px;
      color: red;
      margin-bottom: 20px;
    }

    article {
      display: flex;
      justify-content: space-between;
    }

    &.recent-ads {
      .img {
        margin-right: 30px;
      }

      article:not(:last-of-type) {
        margin-bottom: 20px;
      }

      .right .title {
        margin-bottom: 20px;
        transition: transform 200ms ease;

        &:hover {
          transform: scale(1.1);
        }

        a {
          text-decoration: none;
          color: black;
        }
      }
    }
  }
}

.media .links {
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;

  .link {
    cursor: pointer;
    width: 80px;
    height: 80px;

    &:hover {
      background-repeat: no-repeat;
    }

    a {
      text-decoration: none;
      color: #fff;
      width: 100%;
      height: 100%;
    }

    &.facebook {
      background: $icons ($icon_margin_size_right) 0;
      background-repeat: no-repeat;

      &:hover {
        background: $icons ($icon_margin_size_right + 2px)
          $icon_margin_size_down;
        background-repeat: no-repeat;
      }
    }

    &.linked-in {
      background: $icons (($icon_margin_size_right * 4) + 6px) 0;
      background-repeat: no-repeat;

      &:hover {
        background: $icons (($icon_margin_size_right * 4) + 6px)
          $icon_margin_size_down;
        background-repeat: no-repeat;
      }
    }

    &.instagram {
      background: $icons (($icon_margin_size_right * 6) + 10px) 0;
      background-repeat: no-repeat;

      &:hover {
        background: $icons (($icon_margin_size_right * 6) + 10px)
          $icon_margin_size_down;
        background-repeat: no-repeat;
      }
    }

    &.google {
      background: $icons 0 0;
      background-repeat: no-repeat;

      &:hover {
        background: $icons 0 $icon_margin_size_down;
        background-repeat: no-repeat;
      }
    }
  }
}

@media screen and (max-width: 1300px) {
  footer .wrapper {
    flex-direction: column;
    align-items: center;

    section {
      width: 100%;
      h4 {
        text-align: center;
      }

      &.recent-ads {
        flex-direction: row;
        flex-wrap: wrap;
      }

      &.media .links {
        width: 70%;
        margin: auto;
      }

      &:not(:last-of-type) {
        margin-bottom: 20px;
      }
    }
  }
}

@media screen and (max-width: 480px) {
  .recent-ads article {
    flex-direction: column;
  }

  footer .wrapper .media .links {
    flex-direction: column;
    align-items: center;

    .link:not(:last-of-type) {
      margin-bottom: 20px;
    }
  }
}